> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /solscan/tokens/search

> List top Solana tokens ranked by market cap, price, holders or TVL

**Price:** 1 credit

**💡 AI Hint:** Discover the top Solana SPL tokens ranked by market cap, price, holder count or TVL. Returns each token's mint address, market cap, USD price and 24h price change, holder count and 24h holder change, and TVL. Choose the ranking metric and order.



## OpenAPI

````yaml /openapi-filtered.json post /api/solscan/tokens/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/solscan/tokens/search:
    post:
      tags:
        - /solscan
      summary: /solscan/tokens/search
      description: >-
        List top Solana tokens ranked by market cap, price, holders or TVL


        **Price:** 1 credit


        **💡 AI Hint:** Discover the top Solana SPL tokens ranked by market cap,
        price, holder count or TVL. Returns each token's mint address, market
        cap, USD price and 24h price change, holder count and 24h holder change,
        and TVL. Choose the ranking metric and order.
      operationId: __api_solscan_tokens_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SolscanTokensSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolscanLeaderboardToken'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SolscanTokensSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        count:
          type: integer
          minimum: 1
          description: Max number of tokens to return
        rank_by:
          $ref: '#/components/schemas/SolscanTokenRankBy'
          description: Metric to rank tokens by
          default: market_cap
        sort_order:
          $ref: '#/components/schemas/SolscanSortOrder'
          description: Ranking order
          default: desc
      type: object
      required:
        - count
    SolscanLeaderboardToken:
      properties:
        '@type':
          type: string
          default: SolscanLeaderboardToken
        address:
          type: string
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_24h_change:
          anyOf:
            - type: number
            - type: 'null'
        holder_count:
          anyOf:
            - type: integer
            - type: 'null'
        holder_24h_change:
          anyOf:
            - type: number
            - type: 'null'
        tvl:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - address
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SolscanTokenRankBy:
      type: string
      enum:
        - market_cap
        - price
        - holder
        - tvl
        - price_24h_change
    SolscanSortOrder:
      type: string
      enum:
        - desc
        - asc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````